Project

Profile

Help

Task #7725

Add "sudo yum clean all" to recipe

Added by Mark Zaslavskiy over 4 years ago. Updated about 4 years ago.

Status:
Closed
Priority:
High
Category:
jenkins_jobs
Sprint/Milestone:
Start date:
02.11.2016
Due date:
% Done:

100%

Estimated time:
1:00 h
Target branch:
Test scenario:

https://github.com/OSLL/mdbci/tree/7725_add_yum_clean_all_to_recipe
https://github.com/OSLL/mdbci/pull/336


Description

13:48] 
timofey.turenko INFO: MariaDb CI CLI
INFO: mdbci called with: ["install_product", "centos_7_libvirt-mariadb-10.0-permanent/maxscale"]
INFO: Checking this machine configuration requirments
INFO: .....NOT IMPLEMENTED YET
INFO: Load Boxes from ./BOXES
INFO: Loaded boxes: 52
INFO: Load AWS config from aws-config.yml
INFO: Load Repos from /home/vagrant/.jenkins/jobs/run_test_snapshot/workspace/repo.d/
INFO: Looking up for repos /home/vagrant/.jenkins/jobs/run_test_snapshot/workspace/repo.d/
INFO: Loaded repos: 18
INFO: Load nodes from template file centos_7_libvirt-mariadb-10.0-permanent.json
INFO: Install maxscale product to ["centos", "7"]
http://max-tst-01.mariadb.com/ci-repository//develop/mariadb-maxscale//centos/7/x86_64/maxscale-2.0.1-1.centos.7.x86_64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=maxscale clean metadata
Trying other mirror.

Error downloading packages:
maxscale-2.0.1-1.x86_64: [Errno 256] No more mirrors to try.

INFO: Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
  • base: mirrors.atosworldline.com
  • extras: centos.mirrors.ovh.net
  • updates: fr.mirror.babylon.network
    Resolving Dependencies
    --> Running transaction check
    ---> Package maxscale.x86_64 0:2.0.1-1 will be installed
    --> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size ================================================================================
Installing:
maxscale x86_64 2.0.1-1 maxscale 2.6 M

Transaction Summary ================================================================================
Install 1 Package

Total download size: 2.6 M
Installed size: 9.5 M
Downloading packages:
ERROR: /home/vagrant/mdbci/core/node_product.rb:322:in `installProduct'
/home/vagrant/mdbci/core/session.rb:456:in `commands'
./mdbci:128:in `<main>'
ERROR: command vagrant ssh maxscale -c "sudo yum -y install maxscale" exit with non-zero code: 1

[13:49] 
там думаю надо вставить sudo yum clean all

History

#1 Updated by Mark Zaslavskiy over 4 years ago

18:39]
timofey.turenko по 7725 я вставил такой workaround :

[18:39]
diff --git a/test/run_test_snapshot.sh b/test/run_test_snapshot.sh
index 24087b0..2647291 100755
--- a/test/run_test_snapshot.sh
+++ b/test/run_test_snapshot.sh
@ -65,9 +65,13 @ fi
cd ~/mdbci

./mdbci sudo --command 'yum remove maxscale -y' $config_name/maxscale
+./mdbci sudo --command 'yum clean all' $config_name/maxscale

./mdbci install_product --product maxscale $config_name/maxscale --repo-dir $repo_dir
-
if [ $? != 0 } ; then
echo "Error installing Maxscale"
+ exit 1
+fi

cd $dir
cmake .

[18:39]
посмотрим сработает или нет

#2 Updated by Mark Zaslavskiy over 4 years ago

18:44] 
timofey.turenko но надо еще найти причину почему там fail

[18:44] 
http://max-tst-01.mariadb.com:8089/job/run_test/888/console

[18:44] 
это пример fail'а

[18:44] 
при этом все данные в базе

[18:44] 
http://max-tst-01.mariadb.com:8089/view/axilary/job/report_sql/47/console

[18:52] 
timofey.turenko вроде всё сработало

#3 Updated by Mark Zaslavskiy over 4 years ago

12:27] 
timofey.turenko 7725 не решена, я в свой скрип вставил yum clean all, но лучше это засунуть в mdbci install_product и там надо еще проверить. а что в дебиане

#4 Updated by Ilfat Kinyaev over 4 years ago

  • Estimated time set to 1:00 h

#6 Updated by Ilfat Kinyaev over 4 years ago

  • Status changed from New to Active / In progress

#7 Updated by Ilfat Kinyaev over 4 years ago

  • Test scenario updated (diff)

#8 Updated by Ilfat Kinyaev over 4 years ago

  • % Done changed from 0 to 50

#9 Updated by Ilfat Kinyaev about 4 years ago

  • Status changed from Active / In progress to Review
  • Assignee changed from Ilfat Kinyaev to Mark Zaslavskiy
  • % Done changed from 50 to 100

The same is done in task 7911, which merget to integration.
https://github.com/OSLL/mdbci/pull/336/conflicts

#10 Updated by Mark Zaslavskiy about 4 years ago

  • Status changed from Review to New
  • Assignee changed from Mark Zaslavskiy to Ilfat Kinyaev

Please fix conflicts in your PR.

#11 Updated by Ilfat Kinyaev about 4 years ago

  • Status changed from New to Active / In progress

#12 Updated by Ilfat Kinyaev about 4 years ago

  • Status changed from Active / In progress to New

#13 Updated by Ilfat Kinyaev about 4 years ago

  • Status changed from New to Review
  • Assignee changed from Ilfat Kinyaev to Mark Zaslavskiy

#14 Updated by Mark Zaslavskiy about 4 years ago

  • Status changed from Review to Closed

Also available in: Atom PDF